package org.xdoclet.plugin.beaninfo.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String JAVABEAN_ATTRIBUTE = JavabeanAttributeTagImpl.NAME;
    public static final String JAVABEAN_CLASS = JavabeanClassTagImpl.NAME;
    public static final String JAVABEAN_ICONS = JavabeanIconsTagImpl.NAME;
    public static final String JAVABEAN_METHOD = JavabeanMethodTagImpl.NAME;
    public static final String JAVABEAN_PARAMETER = JavabeanParameterTagImpl.NAME;
    public static final String JAVABEAN_PROPERTY = JavabeanPropertyTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(JavabeanAttributeTagImpl.NAME, JavabeanAttributeTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JavabeanClassTagImpl.NAME, JavabeanClassTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JavabeanIconsTagImpl.NAME, JavabeanIconsTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JavabeanMethodTagImpl.NAME, JavabeanMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JavabeanParameterTagImpl.NAME, JavabeanParameterTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JavabeanPropertyTagImpl.NAME, JavabeanPropertyTagImpl.class);
    }
}
